Bug 157473 - Kalzium should switch icons for Next and Previous icons when in RightToLeft mode
Summary: Kalzium should switch icons for Next and Previous icons when in RightToLeft mode
Status: RESOLVED WORKSFORME
Alias: None
Product: kalzium
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Carsten Niehaus
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-09 02:46 UTC by David Benjamin
Modified: 2008-08-05 19:31 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Switch icons when in RightToLeft mode (1.14 KB, patch)
2008-02-09 02:48 UTC, David Benjamin
Details
reverse-bug.png (10.12 KB, image/png)
2008-08-05 19:31 UTC, cniehaus
Details
reverse-bug2.png (11.35 KB, image/png)
2008-08-05 19:31 UTC, cniehaus
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Benjamin 2008-02-09 02:46:57 UTC
Version:           1.9.91 (using KDE 4.0.0)
Installed from:    Compiled From Sources
OS:                Linux

Steps to Reproduce:
1. Run kalzium -reverse
2. Double-click an element.
3. Note the icons on Next/Previous.

The icons should be switched in a RightToLeft environment.
Comment 1 David Benjamin 2008-02-09 02:48:12 UTC
Created attachment 23488 [details]
Switch icons when in RightToLeft mode
Comment 2 Carsten Niehaus 2008-02-09 14:55:27 UTC
Mmh, when using kalzium in -reverse mode the info in the Detailedinfodialog are really small, perhaps fontsize 4 or something...

Can you confirm this?
Comment 3 David Benjamin 2008-02-09 15:27:56 UTC
Hrm.

So, I do get really odd scrollbar issues when reversed with the Oxygen theme, I don't know if that's what you mean. (I was going to file a bug on it, but I was sleepy. :D)

Do you mean with the patch?

Font sizes seem identical here in Kalzium 4.0.1, Kalzium 4.0.1 -reverse, Kalzium with patch, Kalzium with patch -reverse.
Comment 4 David Benjamin 2008-02-11 03:04:09 UTC
Appears fixed in r772723. I guess I'll mark this RESOLVED.
Comment 5 cniehaus 2008-08-05 19:31:03 UTC
Moin

When I start Kalzium and click on a chemical element I see what you see 
in "reverse-bug2.png".

Starting Kalzium with "kalzium -reverse" I see what you see 
in "reverse-bug.png". As you can see the font is MUCH smaller.


I marked the bug with two red arrows. Obviously the code is the same in both 
cases, to be honest I have not the slightest idea how this reverse-magic 
works.

Before having a closer look I wanted to ask you if somebody on this list has 
see a similar behaviour...

Gru